hud = {};


function hud.prerequisitesPresent(specializations)
	return true;
end;

function hud:load(xmlFile)
	self.hudInfoBasePosXh = 0.012;
    self.hudInfoBaseWidthh = 0.18;
    self.hudInfoBasePosYh = 0.0;
    self.hudInfoBaseHeighth = 0.400;
    self.infoPanelPathh = Utils.getFilename("Texturen/Unbena2nnt-1.png", self.baseDirectory);
	self.hudInfoBaseOverlayh = Overlay:new("hudInfoBaseOverlay", self.infoPanelPathh, self.hudInfoBasePosXh, self.hudInfoBasePosYh, self.hudInfoBaseWidthh, self.hudInfoBaseHeighth);
    self.showHudInfoBaseh = false;
		
end;

function hud:keyEvent(unicode, sym, modifier, isDown)
end;


function hud:update(dt)
	
end;

function hud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function hud:draw()
	if InputBinding.hasEvent(InputBinding.SHOWHKLHUD) then
		self.showHudInfoBaseh = not self.showHudInfoBaseh;
	end;
	if self.showHudInfoBaseh then		
		local textZ = 0.015;
		self.hudInfoBaseOverlayh:render();
		if self.rundumleuchtenAn then
			renderText(0.012, 0.32, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.HRUNDUMLEUCHTE), " Rundumleuchte aus"));
		else
			renderText(0.012, 0.32, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.HRUNDUMLEUCHTE), " Rundumleuchte ein"));
		end;
	--	if self.joblightActive_V then
	--		g_currentMission:addExtraPrintText("Taste "..string.format(key_convert(self.keys.joblight_v))..":                      " .." ArbeitsLicht Vorne aus");
	--	else
	--		g_currentMission:addExtraPrintText("Taste "..string.format(key_convert(self.keys.joblight_v))..":                      " .." ArbeitsLicht Vorne ein");
	--	end;
		if self.changeWheel == 0 then
			renderText(0.012, 0.28, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.Lenkung), " 4x4 Lenkung"));
		elseif  self.changeWheel == 1 then
			renderText(0.012, 0.28, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.Lenkung), " Front Lenkung"));
		elseif  self.changeWheel == 2 then
			renderText(0.012, 0.28, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.Lenkung), " Heck Lenkung"));
		elseif  self.changeWheel == 3 then
			renderText(0.012, 0.28, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.Lenkung), " HundeGang Lenkung"));
		end;
		if self.joblightActive_V then
			renderText(0.012, 0.24, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.joblight_v), " ArbeitsLicht Vorne aus"));
		else
			renderText(0.012, 0.24, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.joblight_v), " ArbeitsLicht Vorne ein"));
		end;
		if self.twinWheelsActive then
			renderText(0.012, 0.20, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.HTWINS), " Zwillings Reifen aus"));
		else
			renderText(0.012, 0.20, textZ, string.format("%s\n%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.HTWINS), " Zwillings Reifen ein"));
		end;
		--		renderText(0.88, 0.54, textZ, string.format("%s\n%s", g_i18n:getText("LiftHKLArm"), self.liftArmreplacey));
		--	elseif self.rootPartArm.locked and self.workingPartArm.locked and self.mainPartArm.lifted then
		--		renderText(0.88, 0.58, textZ, string.format("%s\n%s", g_i18n:getText("TurnHKLArmforward"), self.lowerArmreplacey));
		--		renderText(0.88, 0.54, textZ, string.format("-"));
		--	elseif not self.rootPartArm.locked and self.workingPartArm.locked and self.rootPartArm.lifted then
		--		renderText(0.88, 0.58, textZ, string.format("-"));
		--		renderText(0.88, 0.54, textZ, string.format("%s\n%s", g_i18n:getText("LowerHKLArm"), self.liftArmreplacey));
		--	else
		--		renderText(0.88, 0.56, textZ, string.format("..."));
		--	end;
		--end;
		renderText(0.81, 0.23, textZ, string.format("%s - %s", g_i18n:getText("hideInfo"), InputBinding.getKeyNamesOfDigitalAction(InputBinding.SHOWHKLHUD)));
	else
		renderText(0.81, 0.23, 0.015, string.format("%s - %s", g_i18n:getText("displayInfo"), InputBinding.getKeyNamesOfDigitalAction(InputBinding.SHOWHKLHUD)));
	end;	
end;

function hud:delete()
	if self.hudInfoBaseOverlayh ~= nil then
		self.hudInfoBaseOverlayh:delete();
	end;    
end;

function hud:onAttach(attacherVehicle)
end;

function hud:onDetach()
end;

function hud:anim(varName, loopCheck)
end;

